package controllers;

import play.mvc.*;

import views.html.*;

import com.jnbridge.jnbcore.*;

import BookService.*;

import java.util.*;

/**
 * This controller contains an action to handle HTTP requests
 * to the application's home page.
 */
public class HomeController extends Controller {

	public static boolean isConfigured = false;

    /**
     * An action that renders an HTML page with a welcome message.
     * The configuration in the <code>routes</code> file means that
     * this method will be called when the application receives a
     * <code>GET</code> request with a path of <code>/</code>.
     */
    public Result index() {
	   if (!isConfigured)
        {
             DotNetSide.init("./lib/jnbcore_tcp.properties");
             isConfigured = true;
        }

        List<Author> authors = Arrays.asList(Author.getAuthors());

        return ok(index.render(authors, null));
    }

    public Result index2(String lastName, String firstName) {
	   if (!isConfigured)
        {
             DotNetSide.init("./lib/jnbcore_tcp.properties");
             isConfigured = true;
        }

        List<Author> authors = Arrays.asList(Author.getAuthors());

        List<Book> books = Arrays.asList(Book.getBooks(firstName, lastName));

        return ok(index.render(authors, books));
    }

}
